package at.xaxa.gamelibraryapp.data

import at.xaxa.gamelibraryapp.data.db.LibraryDao
import at.xaxa.gamelibraryapp.data.db.LibraryEntity
import at.xaxa.gamelibraryapp.data.remote.GameRemoteService
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.map

class GameRepository(private val libraryDao: LibraryDao, private val gameRemoteService: GameRemoteService) {
    private val apiKey = "7a2a800a085d41e88621a8a59dc5ea82"

    /*suspend fun loadInitialContacts() {
        try {
            val contactDtoList = gameRemoteService.getAllContacts()
            contactDtoList.map {
                Game(0, it., "${it.telephoneNumber}", it.age)
            }.forEach {
                insertContact(it)
            }
        } catch (e: Exception) {
            Log.e("Repository", "Something went wrong! ${e.message}", e)
        }
    }*/

    fun getAllGamesInLibrary(): Flow<List<Game>> {
        return libraryDao.getAllEntries().map {
            it.map {item -> Game(item._id, item.name, item.details, item.note) }
        }
    }

    suspend fun findGameById(id: Int): LibraryEntity {
        val item = libraryDao.findEntryById(id)
        return LibraryEntity(item._id, item.name, item.details, item.note)
    }

    suspend fun addEntry(libraryEntity: LibraryEntity) {
        libraryDao.addEntry(LibraryEntity(libraryEntity._id, libraryEntity.name, libraryEntity.details, libraryEntity.note))
    }

    suspend fun updateEntry(game: LibraryEntity) {
        libraryDao.updateEntry(LibraryEntity(game._id, game.name, game.details, game.note))
    }
}