package at.xaxa.gamelibraryapp.data.db

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import at.xaxa.gamelibraryapp.data.Game
import kotlinx.coroutines.flow.Flow

@Dao
interface LibraryDao {
    @Insert
    suspend fun addEntry(libraryEntity: LibraryEntity)

    @Update
    suspend fun updateEntry(libraryEntity: LibraryEntity)

    @Delete
    suspend fun deleteEntry(libraryEntity: LibraryEntity)

    @Query("SELECT * FROM library WHERE _id = :id")
    suspend fun findEntryById(id: Int): LibraryEntity

    @Query("SELECT * FROM library")
    fun getAllEntries(): Flow<List<LibraryEntity>>

    @Query("SELECT * FROM library WHERE name = :entryName")
    fun getEntriesWithName(entryName: String): Flow<List<LibraryEntity>>
}
