package at.xaxa.gamelibraryapp.data.db

import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import at.xaxa.gamelibraryapp.LibraryApplication

@Database(entities = [LibraryEntity::class], version = 2)
abstract class LibraryDatabase : RoomDatabase()  {
    abstract fun libraryDao(): LibraryDao

    companion object {
        @Volatile
        private var Instance: LibraryDatabase? = null

        fun getDatabase(context: LibraryApplication): LibraryDatabase {
            // if the Instance is not null, return it, otherwise create a new database instance.
            return Instance ?: synchronized(this) {
                val instance = Room.databaseBuilder(context, LibraryDatabase::class.java, "library_database")
                    /**
                     * Setting this option in your app's database builder means that Room
                     * permanently deletes all data from the tables in your database when it
                     * attempts to perform a migration with no defined migration path.
                     */
                    .fallbackToDestructiveMigration()
                    .build()
                Instance = instance
                return instance
            }
        }
    }
}