package at.xaxa.gamelibraryapp.data.remote

import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path
import retrofit2.http.Query

// TODO Implement Remote Service
interface GameRemoteService {
    @GET("games")
    suspend fun getAllGames(@Query("key") apiKey: String): List<ApiResponse>

    @GET("contacts/{contactId}")
    suspend fun getContactById(@Path("contactId") contactId: Int)

    @GET("contacts/search") // becomes contacts/search?filter=<content of filterText>
    suspend fun findContacts(@Query("filter") filterText : String): List<ApiResponse>

    @POST("contacts")
    suspend fun addContact(@Body contactDto: ApiResponse)
}