package at.xaxa.gamelibraryapp.ui.Details

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.lifecycle.viewmodel.compose.viewModel
import androidx.navigation.NavBackStackEntry
import at.xaxa.gamelibraryapp.ui.AppViewModelProvider
import at.xaxa.gamelibraryapp.ui.DetailCard

@Composable
fun DetailView(
    navBackStackEntry: NavBackStackEntry,
    viewModel: DetailsViewModel = viewModel(factory = AppViewModelProvider.Factory),
    modifier: Modifier = Modifier
) {
    // Extract arguments here
    val gameId = navBackStackEntry.arguments?.getInt("gameId") // Or `Int` if needed

    DetailCard(modifier,
        title = "Game Title $gameId", // Use the extracted gameId
        details = "details",
        imageUrl = "https://media.rawg.io/media/games/b7f/b7ffc4c4776e61eca19d36d3c227f89a.jpg",
        note = "note"
    )
}
